Get client
One client with properties, recent quotes, jobs and invoices.
GET https://cotlet.dev/api/v1/jobber/clients/{client_id}
read
Returns one client with the service properties on file and the latest quotes, jobs and invoices, each with its status. Use it to see a client's history before writing to them.
Parameters
| Name | Type | Description |
|---|---|---|
| client_id string required | string | Client ID from list_clients. |
Request
curl https://cotlet.dev/api/v1/jobber/clients/client_8c41d2 \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("jobber", "get_client", {"client_id":"client_8c41d2"}) const result = await cotlet.call('jobber', 'get_client', {"client_id":"client_8c41d2"}); cotlet call jobber get_client --data '{"client_id":"client_8c41d2"}' Example response
{
"client_id": "cl_7731",
"name": "Maria Santos",
"properties": [
"12 Oak Lane"
],
"quotes": [
{
"quote_id": "q_5521",
"number": "Q-5521",
"status": "approved",
"total": 480
}
],
"jobs": [
{
"job_id": "job_3290",
"title": "Gutter cleaning",
"status": "completed"
}
],
"invoices": [
{
"invoice_id": "inv_20418",
"number": 1042,
"status": "past_due",
"balance": 480
}
]
}